* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: white;
}

body {
    background-color: #272537;
    font-family: Verdana, Tahoma;
}

.top-header {
    height: 100px;
    left: 0;
    top: 0;
    position: fixed;
    display: flex;
    align-items: center;
    background-color: rgb(36, 34, 49);
    width: 100%;
    z-index: 6;
}

.left {
    width: 20%;
    height: 100px;
    display: flex;
    align-items: center;
}

.header-left {
    margin-left: 10px;
    width: 60px;
    height: 60px;
    border-radius: 20px;
    background-color: #8C00FF;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-left img {
    width: 55px;
    height: 55px;
    margin-left: -2px;
    cursor: pointer;
}

.header-right {
    display: flex;
    align-items: center;
    justify-content: start;
    height: 100px;
    width: 5%;
}

.header-center {
    width: 65%;
    height: 100px;
    align-items: center;
    display: flex;
    justify-content: end;
}

.mobile-btn {
    width: 60px;
    height: 60px;
    display: flex;
    flex-direction: column;
    background-color: transparent;
    border: none;
    gap: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.mobile-btn span {
    width: 35px; /* pełna szerokość */
    height: 5px;
    background-color: white;
    border-radius: 5px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    position: relative;
}
.log-in {
    font-size: 15px;
    float: right;
    text-align: center;
    margin-right: 10px;
}

.mobile-nav-container {
    display: none;
}

ul {
    list-style: none;
}

.mobile-nav-container.active {
    position: fixed;
    z-index: 6;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    width: 250px;
    height: 100%;
    background-color: rgb(36, 34, 49);
    overflow: hidden;
}

.mobile-link {
    margin-top: 50px;
}

.mobile-link a {
    text-decoration: none;
    font-size: 25px;
}

.open {
    transform: rotate(90deg);
}

.open .hamburger-top {
    transform: rotate(45deg) translate(11px, 8px);
}

.open .hamburger-middle {
    opacity: 0; /* ukrycie środkowego paska */
}

.open .hamburger-bottom {
    transform: rotate(-45deg) translate(10px, -7px);
}

.logo {
    width: 300px;
    height: 300px;
    border-radius: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 5;
}

.logo .background {
    width: 190px;
    height: 190px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(127, 17, 224, 1);
    border-radius: 50px;
    /* -webkit-box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1);
    -moz-box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1);
    box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1); */
    animation: glow 5s infinite ease-in-out;
}

.first-sec {
    position: relative; /* Ustawienie kontekstu pozycji dla dzieci */
    width: 100%;
    height: 100vh; /* Sekcja na pełną wysokość ekranu */
    overflow: hidden; /* Ukrycie nadmiarowych elementów */
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
  }
.logo img {
    width: 180px;
}

.trademark {
    font-size: 30px;
    margin-top: 10px
}

.logo .desc {
    font-size: 15px;
    color: rgb(184, 184, 184);
}


.second-sec {
    width: 100%;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(32, 30, 44);
}

.third-sec {
    width: 100%;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(32, 30, 44);
}

.third-sec span {
    text-align: center;
    width: 300px;
    font-size: 15px;
    color: rgb(160, 160, 160);
}

.fourth-sec {
    width: 100%;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(32, 30, 44);
}

.fourth-sec span {
    text-align: center;
    width: 300px;
    font-size: 15px;
    color: rgb(160, 160, 160);
}

.dev-sec {
    width: 100%;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(32, 30, 44);
}

.dev-sec span {
    text-align: center;
    width: 300px;
    font-size: 15px;
    color: rgb(160, 160, 160);
}


.image {
    padding: 10px;
    margin-top: 20px;
    border: 1px dashed #8C00FF;
    border-radius: 10px;
}

.image img {
    width: 300px;
}

.section-title {
    /* margin-top: 40px; */
    font-size: 35px;
}



.second-sec span {
    text-align: center;
    width: 300px;
    font-size: 15px;
    color: rgb(160, 160, 160);
}

.slider {
    overflow: hidden;
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 60px 0;
}

.features-container {
    display: flex;
    flex-wrap: nowrap;
    gap: 40px;
    transition: transform 0.5s ease;
    transform: translateX(0); /* Zmieniane przez JS */
}

.feature {
    width: 300px;
    height: 300px;
    border-radius: 20px;
    background-color: #8C00FF;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0.25;
    transform: scale(0.9);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.feature-image img {
    width: 150px;
}

.feature-desc {
    margin-top: 20px;
    font-size: 25px;
    color: white;
    text-align: center;
}

.feature.active {
    opacity: 1;
    transform: scale(1.1);
}

.feature.prev,
.feature.next {
    opacity: 0.5;
    transform: scale(1);
}

.dev-sec {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 500px;
}

.dev {
    width: 300px;
    height: 300px;
    background-color: #8C00FF;
    border-radius: 40px;
    display: flex;
    margin-top: 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.avi-background {
    width: 150px;
    height: 150px;
    background-color: #7201ce;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.avi-image img {
    width: 140px;
    height: 140px;
    border-radius: 50%;
}

.dev-name p {
    font-size: 30px;
    margin-top: 10px;
}

.socials {
    margin-top: 5px;
}

.socials a {
    font-size: 15px;
}

.second-sec .background {
    width: 190px;
    height: 190px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(127, 17, 224, 1);
    border-radius: 50px;
    /* -webkit-box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1);
    -moz-box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1);
    box-shadow: 0px 0px 75px 2px rgba(140, 0, 255, 1); */
}

.downloadbutton {
    padding: 20px;
    background-color: rgb(36, 34, 49);
    border: 1px solid #8C00FF;
    font-size: 20px;
    margin-top: 20px;
    border-radius: 30px;
    cursor: pointer;
}

footer {
    width: 100%;
    height: 100px;
    background-color: rgb(36, 34, 49);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    clear: both;
}

.footerlogo {
    width: 48px;
    height: 48px;
    background-color: #8C00FF;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.inner-container {
    display: flex;
    flex-direction: row;
    width: 65%;
    height: 600px;
    align-items: center;
    justify-content: center;
    background-color: #8C00FF;
    margin-top: 40px;
    border-radius: 50px;
}

.inner-container .left {
    width: 30%;
    height: 600px;
    justify-content: center;
}




.inner-container .right {
    width: 60%;
    height: 600px;
    background-color: #7e00e6;
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
}

.footerlogo img {
    width: 44px;
}

.right-desc {
    text-align: center;
    font-size: 23px;
    height: 600px;
    display: flex;
    padding: 20px;
    align-items: center;
}


.copyright {
    font-size: 15px;
    color: gray;
}

@media only screen and (min-width: 375px) {
    .section-logo {
        width: 120px;
    }

    .inner-container {
        flex-direction: column;
        width: 90%;
    }

    .inner-container .left {
        height: 200px;
    }

    .third-sec .right {
        height: 100%;
        width: 100%;
        margin-top: 0;
        border-radius: 0px 0px 0px 0px;
        border-bottom-right-radius: 50px;
        border-bottom-left-radius: 50px;
    }

    .right-desc {
        font-size: 16px;
        height: 100%;
        width: 100%;
    }
}

@media only screen and (min-width: 800px) {
    .header-center {
        width: 70%;
    }
    .logo {
        width: 350px;
        height: 350px;
    }

    .logo .background {
        width: 270px;
        height: 300px;
        border-radius: 50px;
    }

    .logo .background img {
        width: 240px;
    }

    .section-logo {
        width: 300px;
    }

    .image img {
        width: 600px;
    }

    .trademark {
        font-size: 33px;
    }



    .third-sec .left {
        width: 45%;
    }

    .section-logo {
        width: 280px;
    }

    .inner-container {
        flex-direction: row;
        width: 90%;
    }

    .third-sec .right {
        height: 600px;
        width: 55%;
        border-radius: 0px 0px 0px 0px;
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
    }

    .right-desc {
        font-size: 18px;
        height: 600px;
        width: 100%;
    }
    
}

@media only screen and (min-width: 1500px) {
    .header-center {
        width: 80%;
    }
    .image {
        border-radius: 30px;
    }
    .image img {
        width: 1100px;
    }

    .second-sec {
        height: 100vh;
    }

    .downloadbutton {
        font-size: 32px;
        margin-top: 40px;
    }
    
    .section-title {
        font-size: 40px;
    }




    .inner-container {
        display: flex;
        flex-direction: row;
        width: 65%;
        height: 600px;
        align-items: center;
        justify-content: center;
        background-color: #8C00FF;
        margin-top: 40px;
        border-radius: 50px;
    }
    
    .inner-container .left {
        width: 40%;
        height: 600px;
        justify-content: center;
    }
    
    .inner-container .right {
        width: 60%;
        height: 600px;
        border-radius: 0px 0px 0px 0px;
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
    }

    .right-desc {
        height: 600px;
        font-size: 20px;
    }

    .third-sec .left img {
        width: 330px;
    }
}

.particle {
    position: absolute;
    background-color: #8C00FF;
    border-radius: 50%;
    bottom: 0;
    opacity: 0.5;
    animation: moveParticle 10s infinite linear;
    transform: translateY(-100vh);
  }
  
  @keyframes moveParticle {
    0% {
      transform: translateY(0);  /* Start z aktualnej pozycji */
      opacity: 0;
    }
    20% {
      opacity: 0.6;  /* Stopniowe pojawienie się */
    }
    100% {
      transform: translateY(-100vh);  /* Przesunięcie w górę */
      opacity: 0;
    }
  }

  @keyframes glow {
    0% {
      box-shadow: 0 0 20px 0px rgba(138, 43, 226, 0.6);
    }
    50% {
      box-shadow: 0 0 30px 0px rgba(138, 43, 226, 0.8);
    }
    100% {
      box-shadow: 0 0 20px 0px rgba(138, 43, 226, 0.6);
    }
  }